package com.spring.infra.security.config;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 애플리케이션에서 허용된 URI를 정의하는 열거형입니다.
 * 
 * <p>이 열거형은 보안 설정에서 접근이 허용된 URI 경로를 관리합니다.</p>
 * 
 * @author mindol
 * @version 1.0
 */
@Getter
@RequiredArgsConstructor
public enum PermittedURI {
    
    ROOT_URI("/"),
    H2_CONSOLE_URI("/h2-console/**"),
    FAVICON_URI("/favicon.ico"),
    USER_CONFLICT_URI("/api/user/conflict/{userId}"),
    USER_SIGN_UP("/api/user/sign-up"),
    PASSWOD_CHANGE("/api/user/change-password"),
    USER_SIGN_IN("/sign-in"),
    USER_SIGN_OUT("/sign-out");

    private final String uri;
}
